# DataExchange
TKIGES
IGESAppli

# IGESAppli_PWBDrilledHole Class Reference

defines PWBDrilledHole, Type <406> Form <26>
in package IGESAppli
Used to identify an entity that locates a drilled hole
and to specify the characteristics of the drilled hole

`#include <IGESAppli_PWBDrilledHole.hxx>`

Inheritance diagram for IGESAppli_PWBDrilledHole:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_PWBDrilledHole ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Real aDrillDia, const Standard_Real aFinishDia, const Standard_Integer aCode)
| This method is used to set the fields of the class PWBDrilledHole - nbPropVal : number of property values, always = 3 - aDrillDia : Drill diameter size - aFinishDia : Finish diameter size - aCode : Function code for drilled hole .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns number of property values, always = 3
Standard_EXPORT Standard_Real | DrillDiameterSize () const
| returns Drill diameter size
Standard_EXPORT Standard_Real | FinishDiameterSize () const
| returns Finish diameter size
Standard_EXPORT Standard_Integer | FunctionCode () const
| returns Function code for drilled hole is 0, 1, 2, 3, 4, 5 or 5001-9999
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Real | theDrillDiameter
Standard_Real | theFinishDiameter
Standard_Integer | theFunctionCode

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_PWBDrilledHole::IGESAppli_PWBDrilledHole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESAppli_PWBDrilledHole::DrillDiameterSize | ( |  | ) | const

Standard_EXPORT Standard_Real IGESAppli_PWBDrilledHole::FinishDiameterSize | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_PWBDrilledHole::FunctionCode | ( |  | ) | const

Standard_EXPORT const IGESAppli_PWBDrilledHole::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_PWBDrilledHole::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Real | aDrillDia,
|  | const Standard_Real | aFinishDia,
|  | const Standard_Integer | aCode
| ) |

Standard_EXPORT Standard_Integer IGESAppli_PWBDrilledHole::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Real IGESAppli_PWBDrilledHole::theDrillDiameter `[private]`

Standard_Real IGESAppli_PWBDrilledHole::theFinishDiameter `[private]`

Standard_Integer IGESAppli_PWBDrilledHole::theFunctionCode `[private]`

Standard_Integer IGESAppli_PWBDrilledHole::theNbPropertyValues `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_PWBDrilledHole.hxx